#!/usr/bin/env bash

# perform a dev build and install on local macOS machine
INSTALLERVOL="Jalview Installer"
APP=Jalview.app

APPLICATIONS=/Applications
CHANNEL=NOCHANNEL
DMG=build/install4j/1.8/Jalview-OFFLINE_macos-app_DEVELOPMENT-j8.dmg

if [ $1 != "nogradle" ]; then
  gradle installers -Pgetdown_channel_name=NOCHANNEL -Pinstall4jMediaTypes=macosArchive -Pgetdown_local=true -Pdev=true
else
  echo "Not running gradle installers"
fi

if [ $? = 0 ]; then
  umount "/Volumes/$INSTALLERVOL"
  if [ -e "$DMG" ]; then
    open $DMG
  else
    echo "No DMG file '$DMG'" 1>&2
    exit 1
  fi
  echo "Mounting '$DMG' at /Volumes"
  N=0
  while [ \! -e "/Volumes/$INSTALLERVOL/$APP" ]; do
    if [ $(( N%1000 )) = 0 ]; then
      echo -n "."
    fi
    N=$(( N+1 ))
  done
  echo ""
fi
if [ -e "/Volumes/$INSTALLERVOL/$APP" ]; then
  /bin/rm -r "$APPLICATIONS/$APP"
  rsync -avh "/Volumes/$INSTALLERVOL/$APP" "$APPLICATIONS/"
  umount "/Volumes/$INSTALLERVOL"
fi
